function linemap = adj2lm(adjmat)

% adj2lm(): adjacent matrix to line map
% 
% linemap = adj2lm(adjmat)
%     Input:
%       adjmat: adjacent matrix
%     Output:
%       linemap: line map
%
% Xue Tianfan, <xtf009@ie.cuhk.edu.hk>, MMLab CUHK

V = size(adjmat, 1);
linemap = zeros(2, V*V);
nline = 0;
for i=1:V
    for j=i+1:V
        if adjmat(i,j) == 1
            nline = nline + 1;
            linemap(:, nline) = [i;j];
        end
    end
end
linemap = linemap(:,1:nline);

end

