% plot2dManifold_LM(): display a manifold in 3D space
% 
% plot2dManifold_LM(LineMap, Coor2D, Indices)
%     Input:
%       LineMap: LineMap(i,1:2) are the index of begining and end points
%       Coor2D: 2D coordinates of each points
%       Indices: indices to be displayed for each pixel
%     Output:
%
% Xue Tianfan, <xtf009@ie.cuhk.edu.hk>, MMLab CUHK

function plot2dManifold_LM(LineMap, Coor2D, Indices)

%     tmpH = figure;
%     tmpPos = get(tmpH, 'Position');
%     set(tmpH, 'Position', [300 400 tmpPos(3:4)]);
%     if exist('WindowName', 'var')
%         set(tmpH, 'Name', WindowName);
%     end
    
    edgeNum = size(LineMap, 2);
    for i=1:edgeNum
        idx = LineMap(:, i);
        plot(Coor2D(1, idx), -Coor2D(2, idx));
        hold on;
    end
    pointNum = size(Coor2D, 2);
	if exist('Indices', 'var')
        for i=1:pointNum
			text(Coor2D(1, i), -Coor2D(2, i), int2str(Indices(i)));
		end
    else
        for i=1:pointNum
			text(Coor2D(1, i), -Coor2D(2, i), int2str(i));
		end
    end
    axis equal;

end

